## crackmapexec 5.4.0

=== Makefile ===
.PHONY: tests

default: build

clean:
	rm -f -r build/
	rm -f -r bin/
	rm -f -r dist/
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f  {} +
	find . -name '__pycache__' -exec rm -rf {} +
	find . -name '.pytest_cache' -exec rm -rf {} +

tests:
	flake8 . --count --select=E9,F63,F7,F82 --show-source --statistics --exclude cme/data/*

requirements:
	poetry export --without-hashes -f requirements.txt -o requirements.txt
	poetry export --without-hashes --dev -f requirements.txt -o requirements-dev.txt

=== requirements.txt ===
aardwolf @ git+https://github.com/skelsec/aardwolf.git@main ; python_version >= "3.7"
aesedb==0.1.0; python_version >= "3.6"
aioconsole==0.3.3; python_version >= "3.6"
aiosmb==0.4.3; python_version >= "3.7"
aiowinreg==0.0.7; python_version >= "3.6"
arc4==0.3.0; python_version >= "3.7"
asn1crypto==1.5.1; python_version >= "3.7"
asn1tools==0.164.0; python_version >= "3.7"
asyauth==0.0.6; python_version >= "3.7"
asysocks==0.2.2; python_version >= "3.7"
bcrypt==4.0.1; python_version >= "3.6"
beautifulsoup4==4.11.1; python_full_version >= "3.6.0"
bitstruct==8.15.1; python_version >= "3.7"
bs4==0.0.1
certifi==2022.9.24; python_version >= "3.7" and python_version < "4"
cffi==1.15.1; python_version >= "3.6" and python_version < "4.0"
charset-normalizer==2.1.1; python_version >= "3.7" and python_version < "4" and python_full_version >= "3.6.0"
click==8.1.3; python_version >= "3.7"
colorama==0.4.6; python_version >= "3.7" and python_full_version < "3.0.0" and platform_system == "Windows" or python_full_version >= "3.7.0" and python_version >= "3.7" and platform_system == "Windows"
commonmark==0.9.1; python_full_version >= "3.6.3" and python_full_version < "4.0.0" and python_version >= "3.6"
cryptography==38.0.3; python_version >= "3.7" and python_version < "4.0"
diskcache==5.4.0; python_version >= "3.7"
dnspython==2.2.1; python_version >= "3.6" and python_version < "4.0"
dsinternals==1.2.4; python_version >= "3.4"
flask==2.2.2; python_version >= "3.7"
future==0.18.2; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.3.0" and python_version >= "3.6"
idna==3.4; python_version >= "3.7" and python_version < "4"
impacket @ git+https://github.com/SecureAuthCorp/impacket.git@master
importlib-metadata==4.2.0; python_version < "3.8" and python_version >= "3.7"
itsdangerous==2.1.2; python_version >= "3.7"
jinja2==3.1.2; python_version >= "3.7"
ldap3==2.9.1; python_version >= "3.6"
ldapdomaindump==0.9.3; python_version >= "3.6"
lsassy==3.1.3; python_version >= "3.6"
lxml==4.9.1; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0"
markupsafe==2.1.1; python_version >= "3.7"
masky==0.1.1; python_version >= "3.6"
minidump==0.0.21; python_version >= "3.6"
minikerberos==0.3.3; python_version >= "3.6"
msgpack==1.0.4
msldap==0.4.6; python_version >= "3.7"
neo4j==4.4.9; python_version >= "3.6"
netaddr==0.8.0; python_version >= "3.6"
oscrypto==1.3.0; python_version >= "3.7"
paramiko==2.12.0
pillow==9.3.0; python_version >= "3.7"
prompt-toolkit==3.0.32; python_full_version >= "3.6.2" and python_version >= "3.7"
pyasn1==0.4.8; python_version >= "3.6"
pycparser==2.21; python_version >= "3.6" and python_full_version < "3.0.0" and python_version < "4.0" or python_version >= "3.6" and python_version < "4.0" and python_full_version >= "3.4.0"
pycryptodomex==3.15.0; python_version >= "3.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.7"
pygments==2.13.0; python_full_version >= "3.6.3" and python_full_version < "4.0.0" and python_version >= "3.6"
pylnk3==0.4.2; python_version >= "3.6"
pynacl==1.5.0; python_version >= "3.6"
pyopenssl==22.1.0; python_version >= "3.6"
pyparsing==3.0.9; python_full_version >= "3.6.8" and python_version >= "3.7"
pyperclip==1.8.2; python_version >= "3.7"
pypsrp==0.7.0; python_version >= "3.6" and python_version < "4.0"
pypykatz==0.6.2; python_version >= "3.6"
pyspnego==0.6.3; python_version >= "3.7" and python_version < "4.0"
pytz==2022.6; python_version >= "3.6"
pywerview==0.3.3
requests==2.28.1; python_version >= "3.7" and python_version < "4"
rich==12.6.0; python_full_version >= "3.6.3" and python_full_version < "4.0.0" and python_version >= "3.6"
six==1.16.0; python_version >= "3.7" and python_full_version < "3.0.0" or python_full_version >= "3.3.0" and python_version >= "3.7"
soupsieve==2.3.2.post1; python_version >= "3.6" and python_full_version >= "3.6.0"
termcolor==1.1.0
terminaltables==3.1.10; python_version >= "2.6"
tqdm==4.64.1; python_version >= "3.7" and python_full_version < "3.0.0" or python_full_version >= "3.4.0" and python_version >= "3.7"
typing-extensions==4.4.0; python_full_version >= "3.6.3" and python_full_version < "4.0.0" and python_version >= "3.7" and python_version < "3.8"
unicrypto==0.0.9; python_version >= "3.7"
urllib3==1.26.12; python_version >= "3.7" and python_full_version < "3.0.0" and python_version < "4" or python_full_version >= "3.6.0" and python_version < "4" and python_version >= "3.7"
wcwidth==0.2.5; python_full_version >= "3.6.2" and python_version >= "3.7"
werkzeug==2.2.2; python_version >= "3.7"
winacl==0.1.5; python_version >= "3.7"
xmltodict==0.12.0; (python_version >= "2.7" and python_full_version < "3.0.0") or (python_full_version >= "3.4.0")
zipp==3.10.0; python_version < "3.8" and python_version >= "3.7"

=== debian/changelog ===
crackmapexec (5.4.0-0kali6) kali-dev; urgency=medium

  * Adapt for Python 3.12
  * Add lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 06 Aug 2024 12:08:55 +0200

crackmapexec (5.4.0-0kali5) kali-dev; urgency=medium

  * Update upstream metadata.
  * Upstream moved (again).
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Tue, 05 Sep 2023 18:51:04 -0500

crackmapexec (5.4.0-0kali4) kali-dev; urgency=medium

  * d/watch: Update to new repository home.

 -- Steev Klimaszewski <steev@kali.org>  Tue, 29 Aug 2023 21:12:25 -0500

crackmapexec (5.4.0-0kali3) kali-dev; urgency=medium

  * Update homepage

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 14 Aug 2023 18:56:44 +0200

crackmapexec (5.4.0-0kali2) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * Update d/watch to point to public git.
  * Update d/watch to point to new github org.
  * Prepare for Release

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

 -- Steev Klimaszewski <steev@kali.org>  Sun, 19 Mar 2023 22:27:31 -0500

crackmapexec (5.4.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.4.0
  * Refresh patch
  * Add pybuild-plugin-pyproject in build-dep
  * Update debian/copyright
  * Add debian/py3dist-overrides with new Python modules
  * Remove useless lintian-overrides
  * Bump Standards-Version to 4.6.1 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 14 Nov 2022 11:29:38 +0100

crackmapexec (5.2.2-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Add Uploaders

  [ Sophie Brun ]
  * Update debian/watch
  * Bump Standards-Version to 4.6.0
  * Add missing upstream metadata
  * New upstream version 5.2.2
  * Remove patched setup.py and use upstream pyproject.toml
  * Remove the /usr/bin/cme file
  * Remove licence files from usr/lib
  * Update lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 17 Jan 2022 17:14:09 +0100

crackmapexec (5.1.7-0kali2) kali-dev; urgency=medium

  * Change dependency python3-pylnk to python3-pylnk3

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 25 Oct 2021 20:19:40 +0200

crackmapexec (5.1.7-0kali1) kali-dev; urgency=medium

  * Remove obsolete crackmapexec
  * New upstream version 5.1.7
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 Sep 2021 10:37:06 +0200

crackmapexec (5.1.6-0kali1) kali-dev; urgency=medium

  * New upstream version 5.1.6
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 15 Mar 2021 18:04:20 +0100

crackmapexec (5.1.5-0kali1) kali-dev; urgency=medium

  * New upstream version 5.1.5

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Jan 2021 14:04:43 +0100

crackmapexec (5.1.4-0kali1) kali-dev; urgency=medium

  * New upstream version 5.1.4
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Nov 2020 14:16:04 +0100

crackmapexec (5.1.3-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Sophie Brun ]
  * New upstream version 5.1.3
  * Update debian/copyright
  * Update patches
  * Update Build-deps and deps
  * Add debian/py3dist-overrides to generate the Python3 deps

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Nov 2020 09:06:57 +0100

crackmapexec (5.0.2~dev-0kali2) kali-dev; urgency=medium

  * Add Restrictions to autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 12 May 2020 15:00:39 +0200

crackmapexec (5.0.2~dev-0kali1) kali-dev; urgency=medium

  * Update debian/watch
  * New upstream version 5.0.2~dev
  * Refresh patches
  * Add missing dependencies
  * Bump Standards-Version to 4.5.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 11 May 2020 16:19:58 +0200

crackmapexec (5.0.1~dev-0kali1) kali-dev; urgency=medium

  * New upstream version 5.0.1~dev
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Apr 2020 14:41:45 +0200

crackmapexec (4.0.1+git20200118-0kali1) kali-experimental; urgency=medium

  [ Sophie Brun ]
  * Add basic autopkgtest
  * New upstream version 4.0.1~git20191018
  * Use debhelper-compat 12
  * Bump Standards-Version to 4.4.1
  * Update debian/copyright
  * Switch to Python 3
  * Refresh patch
  * Add a patch to not use thirdparty directory
  * Add missing build-dep python3-gevent
  * Update debian/README.Source
  * New upstream version 4.0.1+git20200118
  * Add new build-deps and deps
  * Add a patch to remove unwanted files
  * Fix spelling error in debian/README.Debian
  * Add lintian-overrides
  * Add a patch to fix scripts

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Jan 2020 14:33:59 +0100

crackmapexec (3.1.5-0kali1) kali-dev; urgency=medium

  * Initial release (Closes: 2574)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 May 2017 15:24:09 +0200

=== debian/control ===
Source: crackmapexec
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
	       pybuild-plugin-pyproject,
               python3-all,
               python3-bs4,
               python3-msgpack,
	       python3-poetry-core,
               python3-pylnk3,
               python3-setuptools
Standards-Version: 4.6.2
Homepage: https://github.com/mpgn/CrackMapExec
Vcs-Git: https://gitlab.com/kalilinux/packages/crackmapexec.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/crackmapexec

Package: crackmapexec
Architecture: all
Depends: python3-impacket,
         python3-pywerview,
	 python3-unicrypto,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Swiss army knife for pentesting networks
 This package is a swiss army knife for pentesting Windows/Active Directory
 environments.
 .
 From enumerating logged on users and spidering SMB shares to executing psexec
 style attacks, auto-injecting Mimikatz/Shellcode/DLL's into memory using
 Powershell, dumping the NTDS.dit and more.
 .
 The biggest improvements over the above tools are:
  - Pure Python script, no external tools required
  - Fully concurrent threading
  - Uses **ONLY** native WinAPI calls for discovering sessions, users, dumping
    SAM hashes etc...
  - Opsec safe (no binaries are uploaded to dump clear-text credentials, inject
    shellcode etc...)
 .
 Additionally, a database is used to store used/dumped credentals. It also
 automatically correlates Admin credentials to hosts and vice-versa allowing you
 to easily keep track of credential sets and gain additional situational
 awareness in large environments.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_install:
	dh_install
	# remove the script cme because it conflicts with the file
	# provided by the pacakge named cme
	rm debian/crackmapexec/usr/bin/cme
	# remove hooks
	rm -rf debian/crackmapexec/usr/lib/python3*/dist-packages/cme/.hooks

execute_after_dh_fixperms:
	for f in debian/crackmapexec/usr/lib/python3/dist-packages/cme/*.py debian/crackmapexec/usr/lib/python3/dist-packages/cme/*/*.py debian/crackmapexec/usr/lib/python3/dist-packages/cme/*/*/*.py debian/crackmapexec/usr/lib/python3/dist-packages/cme/data/cme.conf debian/crackmapexec/usr/lib/python3/dist-packages/cme/data/videos_for_darrell.harambe; do \
		chmod 644 $$f; \
	done

=== debian/tests/control ===
Test-Command: crackmapexec -h
Restrictions: isolation-container, superficial

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/crackmapexec-$1\.tar\.gz/ \
  https://github.com/Porchetta-Industries/CrackMapExec/tags .*/v?(\d\S*)\.tar\.gz
